---
title: "Automations"
description: "Durable Agent Y2 Automation definitions and run history"
canonical: https://y2.dev/docs/api/reference/automations/
---

Endpoint Reference

# Automations

Durable Agent Y2 Automation definitions and run history

[GET /automations](https://y2.dev/docs/api/reference/automations/listAutomations): List Automation definitions

[POST /automations](https://y2.dev/docs/api/reference/automations/createAutomation): Create an Automation

[GET /automations/{automationId}](https://y2.dev/docs/api/reference/automations/getAutomation): Get an Automation definition

[PATCH /automations/{automationId}](https://y2.dev/docs/api/reference/automations/patchAutomation): Update or archive an Automation

[GET /automations/{automationId}/runs](https://y2.dev/docs/api/reference/automations/listAutomationRuns): List Automation run history

[POST /automations/{automationId}/runs](https://y2.dev/docs/api/reference/automations/runAutomation): Request a manual Automation run
